# Function useMinilinksApply

- useMinilinksApply<L>(ml, name, data?): {
  anomalies?: MinilinkError[];
  data: L[];
  errors?: MinilinkError[];
  plainLinks: L[];
  }

- #### Type Parameters

  - L extends Link<Id>

  #### Parameters

  - ml: any
  - name: string
  - `Optional` data: MinilinksApplyInput | Links<Id, L>

  #### Returns {
  anomalies?: MinilinkError[];
  data: L[];
  errors?: MinilinkError[];
  plainLinks: L[];
  }

  - ##### `Optional` anomalies?: MinilinkError[]

  - ##### data: L[]

  - ##### `Optional` errors?: MinilinkError[]

  - ##### plainLinks: L[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:1032